// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>

namespace Module {

class Module {
protected:
    Module();

    virtual void message(const std::string& text) = 0;

public:
    virtual ~Module() noexcept;
};

}
